
# Overview 

* Authentication to Tandoor is only possible with an account in uffd, regular authentication is disabled 
* All users with group 'tandoor_access' can access the Application 

# Setup OIDC Authentication via uffd 

Uffd Reference: https://git.cccv.de/uffd


## Setup in Tandoor

All setup is done in the docker-compose.yml
References: 
* https://docs.tandoor.dev/features/authentication/

## Setup in uffd

Create Groups:

- tandoor_access: General Access to Tandoor

Create a Service / OAuth Client: 

Only Users with goup grafana_access can access Tandoor 

Client-ID: tandoor
Client-Secret: from file openid_client_secret on the server
Redirect-URIs: 
* https://tandoor.test-warpzone.de/accounts/oidc/uffd/login/callback/

